import { reactive } from "vue"
import request from '../../utils/request'

export default () => {
  const permissions = reactive({})

  const getPermission = x => {
    request({
      url: '/comm/rights',
      data: x,
    }).then(res => {
      permissions[x] = Boolean(res)
      return permissions[x]
    })
  }

  return { permissions, getPermission }
}
